# CoinAbcAnyFactorization Class Reference

Abstract base class which also has some scalars so can be used from Dense or Simp. More...

`#include <CoinAbcDenseFactorization.hpp>`

Inheritance diagram for CoinAbcAnyFactorization:
[legend]

List of all members.

## Public Member Functions
Constructors and destructor and copy
| CoinAbcAnyFactorization ()
| Default constructor.
| CoinAbcAnyFactorization (const CoinAbcAnyFactorization &other)
| Copy constructor.
virtual | ~CoinAbcAnyFactorization ()
| Destructor.
CoinAbcAnyFactorization & | operator= (const CoinAbcAnyFactorization &other)
| = copy
virtual CoinAbcAnyFactorization * | clone () const =0
| Clone.
general stuff such as status
int | status () const
| Returns status.
void | setStatus (int value)
| Sets status.
int | pivots () const
| Returns number of pivots since factorization.
void | setPivots (int value)
| Sets number of pivots since factorization.
int | numberSlacks () const
| Returns number of slacks.
void | setNumberSlacks (int value)
| Sets number of slacks.
void | setNumberRows (int value)
| Set number of Rows after factorization.
int | numberRows () const
| Number of Rows after factorization.
CoinSimplexInt | numberDense () const
| Number of dense rows after factorization.
int | numberGoodColumns () const
| Number of good columns in factorization.
void | relaxAccuracyCheck (double value)
| Allows change of pivot accuracy check 1.0 == none >1.0 relaxed.
double | getAccuracyCheck () const
| Returns status.
int | maximumPivots () const
| Maximum number of pivots between factorizations.
virtual void | maximumPivots (int value)
| Set maximum pivots.
double | pivotTolerance () const
| Pivot tolerance.
void | pivotTolerance (double value)
| Returns status.
double | minimumPivotTolerance () const
| Minimum pivot tolerance.
void | minimumPivotTolerance (double value)
| Returns status.
virtual CoinFactorizationDouble * | pivotRegion () const
| Returns status.
double | areaFactor () const
| Area factor.
void | areaFactor (CoinSimplexDouble value)
| Returns status.
double | zeroTolerance () const
| Zero tolerance.
void | zeroTolerance (double value)
| Returns status.
virtual CoinFactorizationDouble * | elements () const
| Returns array to put basis elements in.
virtual int * | pivotRow () const
| Returns pivot row.
virtual CoinFactorizationDouble * | workArea () const
| Returns work area.
virtual int * | intWorkArea () const
| Returns int work area.
virtual int * | numberInRow () const
| Number of entries in each row.
virtual int * | numberInColumn () const
| Number of entries in each column.
virtual CoinBigIndex * | starts () const
| Returns array to put basis starts in.
virtual int * | permuteBack () const
| Returns permute back.
virtual void | goSparse ()
| Sees whether to go sparse.
virtual void | checkMarkArrays () const
| Returns status.
int | solveMode () const
| Get solve mode e.g.
void | setSolveMode (int value)
| Set solve mode e.g.
virtual bool | wantsTableauColumn () const
| Returns true if wants tableauColumn in replaceColumn.
virtual void | setUsefulInformation (const int *info, int whereFrom)
| Useful information for factorization 0 - iteration number whereFrom is 0 for factorize and 1 for replaceColumn.
virtual void | clearArrays ()
| Get rid of all memory.
virtual general stuff such as permutation
virtual int * | indices () const =0
| Returns array to put basis indices in.
virtual int * | permute () const =0
| Returns permute in.
virtual int * | pivotColumn () const
| Returns pivotColumn or permute.
virtual int | numberElements () const =0
| Total number of elements in factorization.
Do factorization - public
virtual void | getAreas (int numberRows, int numberColumns, CoinBigIndex maximumL, CoinBigIndex maximumU)=0
| Gets space for a factorization.
virtual void | preProcess ()=0
| PreProcesses column ordered copy of basis.
virtual int | factor (AbcSimplex *model)=0
| Does most of factorization returning status 0 - OK -99 - needs more memory -1 - singular - use numberGoodColumns and redo.
virtual void | postProcess (const int *sequence, int *pivotVariable)=0
| Does post processing on valid factorization - putting variables on correct rows.
virtual void | makeNonSingular (int *sequence)=0
| Makes a non-singular basis by replacing variables.
rank one updates which do exist
virtual double | checkReplacePart1 (CoinIndexedVector *, int)
| Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.
virtual double | checkReplacePart1 (CoinIndexedVector *, CoinIndexedVector *, int)
| Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.
virtual void | checkReplacePart1a (CoinIndexedVector *, int)
| Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.
virtual double | checkReplacePart1b (CoinIndexedVector *, int)
| Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.
virtual int | checkReplacePart2 (int pivotRow, double btranAlpha, double ftranAlpha, double ftAlpha, double acceptablePivot=1.0e-8)=0
| Checks if can replace one Column to basis, returns 0=OK, 1=Probably OK, 2=singular, 3=no room, 5 max pivots.
virtual void | replaceColumnPart3 (const AbcSimplex *model, CoinIndexedVector *regionSparse, CoinIndexedVector *tableauColumn, int pivotRow, double alpha)=0
| Replaces one Column to basis, partial update already in U.
virtual void | replaceColumnPart3 (const AbcSimplex *model, CoinIndexedVector *regionSparse, CoinIndexedVector *tableauColumn, CoinIndexedVector *partialUpdate, int pivotRow, double alpha)=0
| Replaces one Column to basis, partial update in vector.
various uses of factorization (return code number elements)
which user may want to know about
virtual int | updateColumnFT (CoinIndexedVector &regionSparse)=0
| Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.
virtual int | updateColumnFTPart1 (CoinIndexedVector &regionSparse)=0
| Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.
virtual void | updateColumnFTPart2 (CoinIndexedVector &regionSparse)=0
| Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.
virtual void | updateColumnFT (CoinIndexedVector &regionSparseFT, CoinIndexedVector &partialUpdate, int which)=0
| Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.
virtual int | updateColumn (CoinIndexedVector &regionSparse) const =0
| This version has same effect as above with FTUpdate==false so number returned is always >=0.
virtual int | updateTwoColumnsFT (CoinIndexedVector &regionFT, CoinIndexedVector &regionOther)=0
| does FTRAN on two unpacked columns
virtual int | updateColumnTranspose (CoinIndexedVector &regionSparse) const =0
| Updates one column (BTRAN) from unpacked regionSparse.
virtual void | updateFullColumn (CoinIndexedVector &regionSparse) const =0
| This version does FTRAN on array when indices not set up.
virtual void | updateFullColumnTranspose (CoinIndexedVector &regionSparse) const =0
| Updates one column (BTRAN) from unpacked regionSparse.
virtual void | updateWeights (CoinIndexedVector &regionSparse) const =0
| Updates one column for dual steepest edge weights (FTRAN).
virtual void | updateColumnCpu (CoinIndexedVector &regionSparse, int whichCpu) const
| Updates one column (FTRAN).
virtual void | updateColumnTransposeCpu (CoinIndexedVector &regionSparse, int whichCpu) const
| Updates one column (BTRAN).
## Protected Attributes
data
double | pivotTolerance_
| Pivot tolerance.
double | minimumPivotTolerance_
| Minimum pivot tolerance.
double | areaFactor_
| Area factor.
double | zeroTolerance_
| Zero tolerance.
double | relaxCheck_
| Relax check on accuracy in replaceColumn.
CoinBigIndex | factorElements_
| Number of elements after factorization.
int | numberRows_
| Number of Rows in factorization.
int | numberDense_
| Number of dense rows in factorization.
int | numberGoodU_
| Number factorized in U (not row singletons).
int | maximumPivots_
| Maximum number of pivots before factorization.
int | numberPivots_
| Number pivots since last factorization.
int | numberSlacks_
| Number slacks.
int | status_
| Status of factorization.
int | maximumRows_
| Maximum rows ever (i.e. use to copy arrays etc).
int * | pivotRow_
| Pivot row.
CoinFactorizationDouble * | elements_
| Elements of factorization and updates length is maxR*maxR+maxSpace will always be long enough so can have nR*nR ints in maxSpace.
CoinFactorizationDouble * | workArea_
| Work area of numberRows_.
int | solveMode_
| Solve mode e.g.

## Detailed Description

Abstract base class which also has some scalars so can be used from Dense or Simp.

Definition at line 24 of file CoinAbcDenseFactorization.hpp.

## Constructor & Destructor Documentation

CoinAbcAnyFactorization::CoinAbcAnyFactorization | ( |  | ) |

Default constructor.

CoinAbcAnyFactorization::CoinAbcAnyFactorization | ( | const CoinAbcAnyFactorization & | other | ) |

Copy constructor.

virtual CoinAbcAnyFactorization::~CoinAbcAnyFactorization | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CoinAbcAnyFactorization& CoinAbcAnyFactorization::operator= | ( | const CoinAbcAnyFactorization & | other | ) |

= copy

Reimplemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual CoinAbcAnyFactorization* CoinAbcAnyFactorization::clone | ( |  | ) | const`[pure virtual]`

Clone.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

int CoinAbcAnyFactorization::status | ( |  | ) | const`[inline]`

Returns status.

Definition at line 47 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::setStatus | ( | int | value | ) | `[inline]`

Sets status.

Definition at line 51 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::pivots | ( |  | ) | const`[inline]`

Returns number of pivots since factorization.

Definition at line 54 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::setPivots | ( | int | value | ) | `[inline]`

Sets number of pivots since factorization.

Definition at line 63 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberSlacks | ( |  | ) | const`[inline]`

Returns number of slacks.

Definition at line 66 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::setNumberSlacks | ( | int | value | ) | `[inline]`

Sets number of slacks.

Definition at line 70 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::setNumberRows | ( | int | value | ) | `[inline]`

Set number of Rows after factorization.

Definition at line 73 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberRows | ( |  | ) | const`[inline]`

Number of Rows after factorization.

Definition at line 76 of file CoinAbcDenseFactorization.hpp.

CoinSimplexInt CoinAbcAnyFactorization::numberDense | ( |  | ) | const`[inline]`

Number of dense rows after factorization.

Definition at line 80 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberGoodColumns | ( |  | ) | const`[inline]`

Number of good columns in factorization.

Definition at line 84 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::relaxAccuracyCheck | ( | double | value | ) | `[inline]`

Allows change of pivot accuracy check 1.0 == none >1.0 relaxed.

Definition at line 88 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::getAccuracyCheck | ( |  | ) | const`[inline]`

Returns status.

Definition at line 90 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::maximumPivots | ( |  | ) | const`[inline]`

Maximum number of pivots between factorizations.

Definition at line 93 of file CoinAbcDenseFactorization.hpp.

virtual void CoinAbcAnyFactorization::maximumPivots | ( | int | value | ) | `[virtual]`

Set maximum pivots.

Reimplemented in CoinAbcTypeFactorization.

double CoinAbcAnyFactorization::pivotTolerance | ( |  | ) | const`[inline]`

Pivot tolerance.

Definition at line 100 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::pivotTolerance | ( | double | value | ) |

Returns status.

double CoinAbcAnyFactorization::minimumPivotTolerance | ( |  | ) | const`[inline]`

Minimum pivot tolerance.

Definition at line 105 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::minimumPivotTolerance | ( | double | value | ) |

Returns status.

virtual CoinFactorizationDouble* CoinAbcAnyFactorization::pivotRegion | ( |  | ) | const`[inline, virtual]`

Returns status.

Reimplemented in CoinAbcTypeFactorization.

Definition at line 109 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::areaFactor | ( |  | ) | const`[inline]`

Area factor.

Definition at line 112 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::areaFactor | ( | CoinSimplexDouble | value | ) | `[inline]`

Returns status.

Definition at line 115 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::zeroTolerance | ( |  | ) | const`[inline]`

Zero tolerance.

Definition at line 119 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::zeroTolerance | ( | double | value | ) |

Returns status.

virtual CoinFactorizationDouble* CoinAbcAnyFactorization::elements | ( |  | ) | const`[virtual]`

Returns array to put basis elements in.

Reimplemented in CoinAbcTypeFactorization.

virtual int* CoinAbcAnyFactorization::pivotRow | ( |  | ) | const`[virtual]`

Returns pivot row.

virtual CoinFactorizationDouble* CoinAbcAnyFactorization::workArea | ( |  | ) | const`[virtual]`

Returns work area.

virtual int* CoinAbcAnyFactorization::intWorkArea | ( |  | ) | const`[virtual]`

Returns int work area.

virtual int* CoinAbcAnyFactorization::numberInRow | ( |  | ) | const`[virtual]`

Number of entries in each row.

Reimplemented in CoinAbcTypeFactorization.

virtual int* CoinAbcAnyFactorization::numberInColumn | ( |  | ) | const`[virtual]`

Number of entries in each column.

Reimplemented in CoinAbcTypeFactorization.

virtual CoinBigIndex* CoinAbcAnyFactorization::starts | ( |  | ) | const`[virtual]`

Returns array to put basis starts in.

Reimplemented in CoinAbcTypeFactorization.

virtual int* CoinAbcAnyFactorization::permuteBack | ( |  | ) | const`[virtual]`

Returns permute back.

virtual void CoinAbcAnyFactorization::goSparse | ( |  | ) | `[inline, virtual]`

Sees whether to go sparse.

Reimplemented in CoinAbcTypeFactorization.

Definition at line 140 of file CoinAbcDenseFactorization.hpp.

virtual void CoinAbcAnyFactorization::checkMarkArrays | ( |  | ) | const`[inline, virtual]`

Returns status.

Reimplemented in CoinAbcTypeFactorization.

Definition at line 142 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::solveMode | ( |  | ) | const`[inline]`

Get solve mode e.g.

0 C++ code, 1 Lapack, 2 choose If 4 set then values pass if 8 set then has iterated

Definition at line 148 of file CoinAbcDenseFactorization.hpp.

void CoinAbcAnyFactorization::setSolveMode | ( | int | value | ) | `[inline]`

Set solve mode e.g.

0 C++ code, 1 Lapack, 2 choose If 4 set then values pass if 8 set then has iterated

Definition at line 154 of file CoinAbcDenseFactorization.hpp.

virtual bool CoinAbcAnyFactorization::wantsTableauColumn | ( |  | ) | const`[virtual]`

Returns true if wants tableauColumn in replaceColumn.

Reimplemented in CoinAbcTypeFactorization.

virtual void CoinAbcAnyFactorization::setUsefulInformation | ( | const int * | info,
|  | int | whereFrom |
| ) |  |  | `[virtual]`

Useful information for factorization 0 - iteration number whereFrom is 0 for factorize and 1 for replaceColumn.

virtual void CoinAbcAnyFactorization::clearArrays | ( |  | ) | `[inline, virtual]`

Get rid of all memory.

Reimplemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

Definition at line 164 of file CoinAbcDenseFactorization.hpp.

virtual int* CoinAbcAnyFactorization::indices | ( |  | ) | const`[pure virtual]`

Returns array to put basis indices in.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int* CoinAbcAnyFactorization::permute | ( |  | ) | const`[pure virtual]`

Returns permute in.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int* CoinAbcAnyFactorization::pivotColumn | ( |  | ) | const`[virtual]`

Returns pivotColumn or permute.

Reimplemented in CoinAbcTypeFactorization.

virtual int CoinAbcAnyFactorization::numberElements | ( |  | ) | const`[pure virtual]`

Total number of elements in factorization.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::getAreas | ( | int | numberRows,
|  | int | numberColumns,
|  | CoinBigIndex | maximumL,
|  | CoinBigIndex | maximumU |
| ) |  |  | `[pure virtual]`

Gets space for a factorization.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::preProcess | ( |  | ) | `[pure virtual]`

PreProcesses column ordered copy of basis.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int CoinAbcAnyFactorization::factor | ( | AbcSimplex * | model | ) | `[pure virtual]`

Does most of factorization returning status 0 - OK -99 - needs more memory -1 - singular - use numberGoodColumns and redo.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::postProcess | ( | const int * | sequence,
|  | int * | pivotVariable |
| ) |  |  | `[pure virtual]`

Does post processing on valid factorization - putting variables on correct rows.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::makeNonSingular | ( | int * | sequence | ) | `[pure virtual]`

Makes a non-singular basis by replacing variables.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual double CoinAbcAnyFactorization::checkReplacePart1 | ( | CoinIndexedVector * | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.

Reimplemented in CoinAbcTypeFactorization.

Definition at line 245 of file CoinAbcDenseFactorization.hpp.

virtual double CoinAbcAnyFactorization::checkReplacePart1 | ( | CoinIndexedVector * | ,
|  | CoinIndexedVector * | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.

Reimplemented in CoinAbcTypeFactorization.

Definition at line 252 of file CoinAbcDenseFactorization.hpp.

virtual void CoinAbcAnyFactorization::checkReplacePart1a | ( | CoinIndexedVector * | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.

Definition at line 256 of file CoinAbcDenseFactorization.hpp.

virtual double CoinAbcAnyFactorization::checkReplacePart1b | ( | CoinIndexedVector * | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

Checks if can replace one Column to basis, returns update alpha Fills in region for use later partial update already in U.

Definition at line 259 of file CoinAbcDenseFactorization.hpp.

virtual int CoinAbcAnyFactorization::checkReplacePart2 | ( | int | pivotRow,
|  | double | btranAlpha,
|  | double | ftranAlpha,
|  | double | ftAlpha,
|  | double | acceptablePivot = `1.0e-8` |
| ) |  |  | `[pure virtual]`

Checks if can replace one Column to basis, returns 0=OK, 1=Probably OK, 2=singular, 3=no room, 5 max pivots.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::replaceColumnPart3 | ( | const AbcSimplex * | model,
|  | CoinIndexedVector * | regionSparse,
|  | CoinIndexedVector * | tableauColumn,
|  | int | pivotRow,
|  | double | alpha |
| ) |  |  | `[pure virtual]`

Replaces one Column to basis, partial update already in U.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::replaceColumnPart3 | ( | const AbcSimplex * | model,
|  | CoinIndexedVector * | regionSparse,
|  | CoinIndexedVector * | tableauColumn,
|  | CoinIndexedVector * | partialUpdate,
|  | int | pivotRow,
|  | double | alpha |
| ) |  |  | `[pure virtual]`

Replaces one Column to basis, partial update in vector.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int CoinAbcAnyFactorization::updateColumnFT | ( | CoinIndexedVector & | regionSparse | ) | `[pure virtual]`

Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int CoinAbcAnyFactorization::updateColumnFTPart1 | ( | CoinIndexedVector & | regionSparse | ) | `[pure virtual]`

Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::updateColumnFTPart2 | ( | CoinIndexedVector & | regionSparse | ) | `[pure virtual]`

Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::updateColumnFT | ( | CoinIndexedVector & | regionSparseFT,
|  | CoinIndexedVector & | partialUpdate,
|  | int | which |
| ) |  |  | `[pure virtual]`

Updates one column (FTRAN) from unpacked regionSparse Tries to do FT update number returned is negative if no room.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int CoinAbcAnyFactorization::updateColumn | ( | CoinIndexedVector & | regionSparse | ) | const`[pure virtual]`

This version has same effect as above with FTUpdate==false so number returned is always >=0.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int CoinAbcAnyFactorization::updateTwoColumnsFT | ( | CoinIndexedVector & | regionFT,
|  | CoinIndexedVector & | regionOther |
| ) |  |  | `[pure virtual]`

does FTRAN on two unpacked columns

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual int CoinAbcAnyFactorization::updateColumnTranspose | ( | CoinIndexedVector & | regionSparse | ) | const`[pure virtual]`

Updates one column (BTRAN) from unpacked regionSparse.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::updateFullColumn | ( | CoinIndexedVector & | regionSparse | ) | const`[pure virtual]`

This version does FTRAN on array when indices not set up.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::updateFullColumnTranspose | ( | CoinIndexedVector & | regionSparse | ) | const`[pure virtual]`

Updates one column (BTRAN) from unpacked regionSparse.

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::updateWeights | ( | CoinIndexedVector & | regionSparse | ) | const`[pure virtual]`

Updates one column for dual steepest edge weights (FTRAN).

Implemented in CoinAbcTypeFactorization, and CoinAbcDenseFactorization.

virtual void CoinAbcAnyFactorization::updateColumnCpu | ( | CoinIndexedVector & | regionSparse,
|  | int | whichCpu |
| ) |  |  | const`[virtual]`

Updates one column (FTRAN).

Reimplemented in CoinAbcTypeFactorization.

virtual void CoinAbcAnyFactorization::updateColumnTransposeCpu | ( | CoinIndexedVector & | regionSparse,
|  | int | whichCpu |
| ) |  |  | const`[virtual]`

Updates one column (BTRAN).

Reimplemented in CoinAbcTypeFactorization.

## Member Data Documentation

double CoinAbcAnyFactorization::pivotTolerance_`[protected]`

Pivot tolerance.

Definition at line 336 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::minimumPivotTolerance_`[protected]`

Minimum pivot tolerance.

Definition at line 338 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::areaFactor_`[protected]`

Area factor.

Definition at line 340 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::zeroTolerance_`[protected]`

Zero tolerance.

Definition at line 342 of file CoinAbcDenseFactorization.hpp.

double CoinAbcAnyFactorization::relaxCheck_`[protected]`

Relax check on accuracy in replaceColumn.

Definition at line 347 of file CoinAbcDenseFactorization.hpp.

CoinBigIndex CoinAbcAnyFactorization::factorElements_`[protected]`

Number of elements after factorization.

Definition at line 349 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberRows_`[protected]`

Number of Rows in factorization.

Definition at line 351 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberDense_`[protected]`

Number of dense rows in factorization.

Definition at line 353 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberGoodU_`[protected]`

Number factorized in U (not row singletons).

Definition at line 355 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::maximumPivots_`[protected]`

Maximum number of pivots before factorization.

Definition at line 357 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberPivots_`[protected]`

Number pivots since last factorization.

Definition at line 359 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::numberSlacks_`[protected]`

Number slacks.

Definition at line 361 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::status_`[protected]`

Status of factorization.

Definition at line 363 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::maximumRows_`[protected]`

Maximum rows ever (i.e. use to copy arrays etc).

Reimplemented in CoinAbcTypeFactorization.

Definition at line 365 of file CoinAbcDenseFactorization.hpp.

int* CoinAbcAnyFactorization::pivotRow_`[protected]`

Pivot row.

Definition at line 370 of file CoinAbcDenseFactorization.hpp.

CoinFactorizationDouble* CoinAbcAnyFactorization::elements_`[protected]`

Elements of factorization and updates length is maxR*maxR+maxSpace will always be long enough so can have nR*nR ints in maxSpace.

Definition at line 375 of file CoinAbcDenseFactorization.hpp.

CoinFactorizationDouble* CoinAbcAnyFactorization::workArea_`[protected]`

Work area of numberRows_.

Reimplemented in CoinAbcTypeFactorization.

Definition at line 377 of file CoinAbcDenseFactorization.hpp.

int CoinAbcAnyFactorization::solveMode_`[protected]`

Solve mode e.g.

0 C++ code, 1 Lapack, 2 choose If 4 set then values pass if 8 set then has iterated

Definition at line 382 of file CoinAbcDenseFactorization.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Blis-0.94.1/Clp/src/CoinAbcDenseFactorization.hpp